org.gjt.sp.jedit.io

## Class FileVFS.LocalFile

- java.lang.Object
- - org.gjt.sp.jedit.io.VFSFile
  - - org.gjt.sp.jedit.io.FileVFS.LocalFile

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileVFS

    public static class FileVFS.LocalFile
    extends VFSFile

See Also:
  Serialized Form

### Field Summary

Fields
`static java.text.DateFormat` `DATE_FORMAT`

### Fields inherited from class org.gjt.sp.jedit.io.VFSFile

`color, colorCalculated, DIRECTORY, FILE, FILESYSTEM`

### Constructor Summary

Constructors
Constructor and Description
`FileVFS.LocalFile(java.io.File file)`

### Method Summary

Methods
`protected void` `fetchAttrs()` Fetch the attributes of the local file.
`java.lang.String` `getExtendedAttribute(java.lang.String name)` Returns the value of an extended attribute.
`javax.swing.Icon` `getIcon(boolean expanded, boolean openBuffer)` Returns the file system icon for the file.
`long` `getLength()`
`long` `getModified()`
`java.lang.String` `getSymlinkPath()`
`boolean` `isReadable()`
`boolean` `isWriteable()`
`void` `setModified(long modified)`

### Methods inherited from class org.gjt.sp.jedit.io.VFSFile

`fetchedAttrs, findCompletion, findCompletion, getColor, getDefaultIcon, getDefaultIcon, getDeletePath, getIcon, getName, getPath, getType, getVFS, isBinary, isHidden, setDeletePath, setHidden, setLength, setName, setPath, setReadable, setSymlinkPath, setType, setWriteable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DATE_FORMAT

    public static java.text.DateFormat DATE_FORMAT

### Constructor Detail

#### FileVFS.LocalFile

    public FileVFS.LocalFile(java.io.File file)

### Method Detail

#### getExtendedAttribute

    public java.lang.String getExtendedAttribute(java.lang.String name)

Description copied from class: `VFSFile`
Returns the value of an extended attribute. Note that this returns formatted strings (eg, "10 Mb" for a file size of 1048576 bytes). If you need access to the raw data, access fields and methods of this class.

Overrides:
  `getExtendedAttribute` in class `VFSFile`
Parameters:
  `name` - The extended attribute name

#### fetchAttrs

    protected void fetchAttrs()

Fetch the attributes of the local file.

Overrides:
  `fetchAttrs` in class `VFSFile`

#### getIcon

    public javax.swing.Icon getIcon(boolean expanded,
                           boolean openBuffer)

Returns the file system icon for the file.

Overrides:
  `getIcon` in class `VFSFile`
Parameters:
  `expanded` - not used here
  `openBuffer` - not used here
Returns:
  the file system icon
Since:
  4.3pre9

#### getSymlinkPath

    public java.lang.String getSymlinkPath()

Overrides:
  `getSymlinkPath` in class `VFSFile`

#### getLength

    public long getLength()

Overrides:
  `getLength` in class `VFSFile`

#### isReadable

    public boolean isReadable()

Overrides:
  `isReadable` in class `VFSFile`

#### isWriteable

    public boolean isWriteable()

Overrides:
  `isWriteable` in class `VFSFile`

#### getModified

    public long getModified()

#### setModified

    public void setModified(long modified)